<ul nz-menu [nzMode]="menuOrientation" style="text-align: center; font-size: 14px; border-radius: 10px 10px 0 0;">
  <li nz-menu-item>
    <a [routerLink]="['/']" rel="noopener noreferrer">
      <span nz-icon nzType="home" nzTheme="outline" nz-tooltip [nzTooltipTitle]="'Common.Home' | translate"></span>
    </a>
  </li>
  <li *ngIf="profile?.region?.country" nz-submenu [nzTitle]="profile.region?.country?.name" nzIcon="flag">
    <ul>
      <li nz-menu-group>
        <ul>
          <li nz-menu-item>
            <a [routerLink]="['/country', profile?.region.country?.id]">{{"Home.Profile" | translate }}</a>
          </li>
          <li *ngIf="entityType === 1001" nz-menu-item>
            <a [routerLink]="['/country', profile?.region.country?.id, 'armies']">
              {{ "Military.Armies" | translate }}</a>
          </li>
          <li *ngIf="entityType === 1001" nz-menu-item>
            <a [routerLink]="['/parties']">{{
              "Politics.Parties" | translate
              }}</a>
          </li>
        </ul>
      </li>
    </ul>
  </li>
  <li nz-submenu [nzTitle]="'Common.MyPlaces' | translate" nzIcon="pushpin">
    <ul>
      <li nz-menu-group>
        <ul>
          <li nz-menu-item>
            <a [routerLink]="['/', profile?.entityType, profile?.id]">{{ "Common.Me" | translate }}</a>
          </li>
          <li nz-menu-item *ngIf="entityType == 1001">
            <a [routerLink]="['/training']">{{
              "Citizen.Training.Trainings" | translate
              }}</a>
          </li>
          <li nz-menu-item *ngIf="entityType == 1001">
            <a [routerLink]="['/company']">{{ "Citizen.Work" | translate }}</a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/inventory']">{{
              "Common.Inventory" | translate
              }}</a>
          </li>
          <li nz-menu-item *ngIf="entityType == 1001">
            <a href="/army">{{ "Military.MyArmy" | translate }}</a>
          </li>
          <li nz-menu-item *ngIf="entityType == 1001">
            <a href="/party">{{ "Politics.MyParty" | translate }}</a>
          </li>
          <li nz-menu-item *ngIf="entityType == 1001">
            <a [routerLink]="['/organisations']">{{
              "Social.MyOrganisations" | translate
              }}</a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/trades']">{{
              "Economy.Trade.Trades" | translate
              }}</a>
          </li>
          <li nz-menu-item>
            <a href="/notifications">{{
              "Notification.Notifications" | translate
              }}</a>
          </li>
          <li nz-menu-item *ngIf="entityType == 1002 || entityType == 1004 || entityType == 1008">
            <a [routerLink]="['/companies']">{{
              "Economy.Companies" | translate
              }}</a>
          </li>
          <li nz-menu-item *ngIf="entityType == 1003">
            <a [routerLink]="['/', profile?.entityType, profile?.id, 'election']">{{
              "Politics.Elect" | translate
              }}</a>
          </li>
          <li nz-menu-item *ngIf="entityType != 1001">
            <a [routerLink]="['/newspaper']">{{
              "Politics.Newspaper" | translate
              }}</a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/accommodation']">{{
              "Social.Accommodations" | translate
              }}</a>
          </li>
        </ul>
      </li>
    </ul>
  </li>
  <li nz-submenu nzTitle="{{ 'Economy.Market.TitlePlural' | translate }}" nzIcon="shop">
    <ul>
      <li nz-menu-group>
        <ul>
          <li nz-menu-item *ngIf="profile?.region?.country">
            <a [routerLink]="['/market', 'items']">{{
              "Economy.Items" | translate
              }}</a>
          </li>
          <li nz-menu-item *ngIf="entityType != 1001 && profile?.region.country">
            <a [routerLink]="['/market', 'raws']">
              {{ "Economy.Raws" | translate }}
            </a>
          </li>
          <li nz-menu-item *ngIf="profile?.region?.country">
            <a [routerLink]="['/market', 'jobs']">
              {{ "Economy.Jobs" | translate }}
            </a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/market', 'exchange']">
              {{ "Economy.Exchange" | translate }}
            </a>
          </li>
          <li nz-menu-item *ngIf="profile?.region?.country">
            <a [routerLink]="['/market', 'properties']">
              {{ "Economy.Properties" | translate }}
            </a>
          </li>
        </ul>
      </li>
    </ul>
  </li>
  <li nz-submenu [nzTitle]="'Notification.Category.Military' | translate" nzIcon="compass">
    <ul>
      <li nz-menu-group [nzTitle]="'Military.Battles.Title' | translate">
        <ul>
          <li nz-menu-item>
            <a [routerLink]="['/battles/active']">
              {{ "Military.Battles.Active" | translate }}
            </a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/battles/archive']">
              {{ "Military.Battles.History" | translate }}
            </a>
          </li>
        </ul>
      </li>
      <li nz-menu-group [nzTitle]="'Military.Wars.Title' | translate">
        <ul>
          <li nz-menu-item>
            
            <a [routerLink]="['/wars']">{{
              "Military.Wars.ActiveWars" | translate
              }}</a>
          </li>
        </ul>
      </li>
      <li nz-menu-group [nzTitle]="'Common.Maps.WorldMap' | translate">
        <ul>
          <li nz-menu-item>
            <a [routerLink]="['/map']">{{
              "Common.Maps.WorldMap" | translate
              }}</a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/map/history']">{{
              "Common.Maps.WorldMapHistory" | translate
              }}</a>
          </li>
        </ul>
      </li>
    </ul>
  </li>
  <li nz-submenu [nzTitle]="'Common.Community' | translate" nzIcon="comment">
    <ul>
      <li nz-menu-group>
        <ul>
          <li nz-menu-item>
            <a [routerLink]="['/chats']">{{
              "Social.Community.Chat" | translate
              }}</a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/ranking']">{{
              "Social.Community.Rankings" | translate
              }}</a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/elections/results']">{{
              "Politics.Elect" | translate
              }}</a>
          </li>
          <li nz-menu-item>
            <a href="https://wiki.vpopulus.net" target="_blank">{{
              "Social.Community.Wiki" | translate
              }}</a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/support']">{{
              "Social.Community.Help" | translate
              }}</a>
          </li>
        </ul>
      </li>
    </ul>
  </li>
  <li nz-submenu [nzTitle]="'Common.Extra.Title' | translate" *ngIf="entityType == 1001" nzIcon="plus">
    <ul>
      <li nz-menu-group>
        <ul>
          <li nz-menu-item>
            <a href="/store" rel="noopener noreferrer"> {{ "Common.Extra.Store" | translate }}

            </a>
          </li>
          <li nz-menu-item>
            <a [routerLink]="['/referrals']" rel="noopener noreferrer">
              {{ "Common.Extra.Referrals" | translate }}
            </a>
          </li>
        </ul>
      </li>
    </ul>
  </li>
  <li nz-menu-item *ngIf="entityType != 1001">
    <span nz-icon nzType="swap" nzTheme="outline" (click)="logout()">
  </span>
    <a (click)="switchBack()"> {{
      "Common.Buttons.SwitchBack" | translate
      }}</a>

  </li>
  <li nz-menu-item *ngIf="entityType === 1001">
    <span nz-icon nzType="logout" nzTheme="outline" nz-tooltip [nzTooltipTitle]="'Common.Auth.Logout' | translate"
      (click)="logout()">
    </span>
  </li>
</ul>